Bug 1969597 - Deluge daemon crashes on startup
Summary: Deluge daemon crashes on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-08 18:09 UTC by ivanov17
Modified: 2021-09-24 20:12 UTC (History)
2 users (show)

Fixed In Version: deluge-2.0.3-18.fc34 deluge-2.0.3-18.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-08 15:06:29 UTC
Type: Bug


Attachments (Terms of Use)

Description ivanov17 2021-06-08 18:09:22 UTC
Description of problem:

Deluge daemon crashes on startup

Version-Release number of selected component (if applicable):

# rpm -q deluge-daemon deluge-gtk
deluge-daemon-2.0.3-13.fc34.noarch
deluge-gtk-2.0.3-13.fc34.noarch

How reproducible: always

Steps to Reproduce:
1. # dnf install deluge-daemon deluge-gtk
2. $ systemctl --user enable deluged.service
3. $ systemctl --user start deluged.service

Actual results:

$ journalctl --user -u deluged

Jun 08 20:09:28 localhost systemd[2573]: Started Deluge Bittorrent Client Daemon.
Jun 08 20:09:29 localhost python3[9888]: detected unhandled Python exception in '/usr/bin/deluged'
Jun 08 20:09:29 localhost deluged[9888]: Traceback (most recent call last):
Jun 08 20:09:29 localhost deluged[9888]:   File "/usr/bin/deluged", line 33, in <module>
Jun 08 20:09:29 localhost deluged[9888]:     sys.exit(load_entry_point('deluge==2.0.3', 'console_scripts', 'deluged')())
Jun 08 20:09:29 localhost deluged[9888]:   File "/usr/lib/python3.9/site-packages/deluge/core/daemon_entry.py", line 87, in start_daemon
Jun 08 20:09:29 localhost deluged[9888]:     options = parser.parse_args()
Jun 08 20:09:29 localhost deluged[9888]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 250, in parse_args
Jun 08 20:09:29 localhost deluged[9888]:     return self._handle_ui_options(options)
Jun 08 20:09:29 localhost deluged[9888]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 329, in _handle_ui_options
Jun 08 20:09:29 localhost deluged[9888]:     _file.write('%d\n' % os.getpid())
Jun 08 20:09:29 localhost deluged[9888]: TypeError: a bytes-like object is required, not 'str'
Jun 08 20:09:29 localhost systemd[2573]: deluged.service: Main process exited, code=exited, status=1/FAILURE
Jun 08 20:09:29 localhost systemd[2573]: deluged.service: Failed with result 'exit-code'.
Jun 08 20:09:29 localhost systemd[2573]: deluged.service: Scheduled restart job, restart counter is at 1.
Jun 08 20:09:29 localhost systemd[2573]: Stopped Deluge Bittorrent Client Daemon.
Jun 08 20:09:29 localhost systemd[2573]: Started Deluge Bittorrent Client Daemon.
Jun 08 20:09:30 localhost python3[9897]: detected unhandled Python exception in '/usr/bin/deluged'
Jun 08 20:09:31 localhost deluged[9897]: Traceback (most recent call last):
Jun 08 20:09:31 localhost deluged[9897]:   File "/usr/bin/deluged", line 33, in <module>
Jun 08 20:09:31 localhost deluged[9897]:     sys.exit(load_entry_point('deluge==2.0.3', 'console_scripts', 'deluged')())
Jun 08 20:09:31 localhost deluged[9897]:   File "/usr/lib/python3.9/site-packages/deluge/core/daemon_entry.py", line 87, in start_daemon
Jun 08 20:09:31 localhost deluged[9897]:     options = parser.parse_args()
Jun 08 20:09:31 localhost deluged[9897]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 250, in parse_args
Jun 08 20:09:31 localhost deluged[9897]:     return self._handle_ui_options(options)
Jun 08 20:09:31 localhost deluged[9897]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 329, in _handle_ui_options
Jun 08 20:09:31 localhost deluged[9897]:     _file.write('%d\n' % os.getpid())
Jun 08 20:09:31 localhost deluged[9897]: TypeError: a bytes-like object is required, not 'str'
Jun 08 20:09:31 localhost systemd[2573]: deluged.service: Main process exited, code=exited, status=1/FAILURE
Jun 08 20:09:31 localhost systemd[2573]: deluged.service: Failed with result 'exit-code'.
Jun 08 20:09:31 localhost systemd[2573]: deluged.service: Scheduled restart job, restart counter is at 2.
Jun 08 20:09:31 localhost systemd[2573]: Stopped Deluge Bittorrent Client Daemon.
Jun 08 20:09:31 localhost systemd[2573]: Started Deluge Bittorrent Client Daemon.
Jun 08 20:09:32 localhost python3[9905]: detected unhandled Python exception in '/usr/bin/deluged'
Jun 08 20:09:32 localhost deluged[9905]: Traceback (most recent call last):
Jun 08 20:09:32 localhost deluged[9905]:   File "/usr/bin/deluged", line 33, in <module>
Jun 08 20:09:32 localhost deluged[9905]:     sys.exit(load_entry_point('deluge==2.0.3', 'console_scripts', 'deluged')())
Jun 08 20:09:32 localhost deluged[9905]:   File "/usr/lib/python3.9/site-packages/deluge/core/daemon_entry.py", line 87, in start_daemon
Jun 08 20:09:32 localhost deluged[9905]:     options = parser.parse_args()
Jun 08 20:09:32 localhost deluged[9905]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 250, in parse_args
Jun 08 20:09:32 localhost deluged[9905]:     return self._handle_ui_options(options)
Jun 08 20:09:32 localhost deluged[9905]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 329, in _handle_ui_options
Jun 08 20:09:32 localhost deluged[9905]:     _file.write('%d\n' % os.getpid())
Jun 08 20:09:32 localhost deluged[9905]: TypeError: a bytes-like object is required, not 'str'
Jun 08 20:09:32 localhost systemd[2573]: deluged.service: Main process exited, code=exited, status=1/FAILURE
Jun 08 20:09:32 localhost systemd[2573]: deluged.service: Failed with result 'exit-code'.
Jun 08 20:09:32 localhost systemd[2573]: deluged.service: Scheduled restart job, restart counter is at 3.
Jun 08 20:09:32 localhost systemd[2573]: Stopped Deluge Bittorrent Client Daemon.
Jun 08 20:09:32 localhost systemd[2573]: Started Deluge Bittorrent Client Daemon.
Jun 08 20:09:33 localhost python3[9918]: detected unhandled Python exception in '/usr/bin/deluged'
Jun 08 20:09:33 localhost deluged[9918]: Traceback (most recent call last):
Jun 08 20:09:33 localhost deluged[9918]:   File "/usr/bin/deluged", line 33, in <module>
Jun 08 20:09:33 localhost deluged[9918]:     sys.exit(load_entry_point('deluge==2.0.3', 'console_scripts', 'deluged')())
Jun 08 20:09:33 localhost deluged[9918]:   File "/usr/lib/python3.9/site-packages/deluge/core/daemon_entry.py", line 87, in start_daemon
Jun 08 20:09:33 localhost deluged[9918]:     options = parser.parse_args()
Jun 08 20:09:33 localhost deluged[9918]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 250, in parse_args
Jun 08 20:09:33 localhost deluged[9918]:     return self._handle_ui_options(options)
Jun 08 20:09:33 localhost deluged[9918]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 329, in _handle_ui_options
Jun 08 20:09:33 localhost deluged[9918]:     _file.write('%d\n' % os.getpid())
Jun 08 20:09:33 localhost deluged[9918]: TypeError: a bytes-like object is required, not 'str'
Jun 08 20:09:33 localhost systemd[2573]: deluged.service: Main process exited, code=exited, status=1/FAILURE
Jun 08 20:09:33 localhost systemd[2573]: deluged.service: Failed with result 'exit-code'.
Jun 08 20:09:33 localhost systemd[2573]: deluged.service: Scheduled restart job, restart counter is at 4.
Jun 08 20:09:33 localhost systemd[2573]: Stopped Deluge Bittorrent Client Daemon.
Jun 08 20:09:33 localhost systemd[2573]: Started Deluge Bittorrent Client Daemon.
Jun 08 20:09:34 localhost python3[9923]: detected unhandled Python exception in '/usr/bin/deluged'
Jun 08 20:09:34 localhost deluged[9923]: Traceback (most recent call last):
Jun 08 20:09:34 localhost deluged[9923]:   File "/usr/bin/deluged", line 33, in <module>
Jun 08 20:09:34 localhost deluged[9923]:     sys.exit(load_entry_point('deluge==2.0.3', 'console_scripts', 'deluged')())
Jun 08 20:09:34 localhost deluged[9923]:   File "/usr/lib/python3.9/site-packages/deluge/core/daemon_entry.py", line 87, in start_daemon
Jun 08 20:09:34 localhost deluged[9923]:     options = parser.parse_args()
Jun 08 20:09:34 localhost deluged[9923]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 250, in parse_args
Jun 08 20:09:34 localhost deluged[9923]:     return self._handle_ui_options(options)
Jun 08 20:09:34 localhost deluged[9923]:   File "/usr/lib/python3.9/site-packages/deluge/argparserbase.py", line 329, in _handle_ui_options
Jun 08 20:09:34 localhost deluged[9923]:     _file.write('%d\n' % os.getpid())
Jun 08 20:09:34 localhost deluged[9923]: TypeError: a bytes-like object is required, not 'str'
Jun 08 20:09:34 localhost systemd[2573]: deluged.service: Main process exited, code=exited, status=1/FAILURE
Jun 08 20:09:34 localhost systemd[2573]: deluged.service: Failed with result 'exit-code'.
Jun 08 20:09:34 localhost systemd[2573]: deluged.service: Scheduled restart job, restart counter is at 5.
Jun 08 20:09:34 localhost systemd[2573]: Stopped Deluge Bittorrent Client Daemon.
Jun 08 20:09:34 localhost systemd[2573]: deluged.service: Start request repeated too quickly.
Jun 08 20:09:34 localhost systemd[2573]: deluged.service: Failed with result 'exit-code'.
Jun 08 20:09:34 localhost systemd[2573]: Failed to start Deluge Bittorrent Client Daemon.

Expected results:

Daemon should start normally

Additional info:

It was fixed in the upstream two years ago:

https://dev.deluge-torrent.org/ticket/3278
https://dev.deluge-torrent.org/changeset/1b4ac88ce

Comment 1 Fedora Update System 2021-08-31 20:09:25 UTC
FEDORA-2021-bfeceda5ef has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bfeceda5ef

Comment 2 Fedora Update System 2021-08-31 20:09:40 UTC
FEDORA-2021-2df36b62db has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2df36b62db

Comment 3 Fedora Update System 2021-08-31 22:53:35 UTC
FEDORA-2021-2df36b62db has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2df36b62db`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2df36b62db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-09-01 19:26:20 UTC
FEDORA-2021-bfeceda5ef has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bfeceda5ef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bfeceda5ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-08 15:06:29 UTC
FEDORA-2021-2df36b62db has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-09-24 20:12:41 UTC
FEDORA-2021-bfeceda5ef has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.